Skip to main content
PATCH
Update Workspace

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials. Alternatively, you can authenticate with a personal access token (PAT) by sending Authorization: Basic base64(email:PAT).

Scopes

management:workspaces:write

Write access to workspace resources.

Path Parameters

id
string<uuid>
required

Workspace identifier (UUID).

Body

application/json
name
string

New display name. Must be unique within the organization.

description
string

Purpose or team the workspace serves.

Response

OK. Returns the full workspace object.

id
string<uuid>

Workspace identifier.

name
string

Workspace display name.

description
string | null

Purpose or team the workspace serves.

external_id
string | null

Caller-defined identifier used for idempotency.

is_default
boolean

true for the default workspace that is created automatically for the account. Exactly one workspace per account is the default. The system assigns this value, and you cannot set it.

member_count
integer

Number of members in the workspace.

connection_count
integer

Number of connections in the workspace.

created_at
string<date-time>

ISO 8601 UTC.

created_by
string<uuid>

The user who created the workspace.

Last modified on November 12, 2026